Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707444 - app-cdr/cuecue-0.2.2-r2 : fails to build with -fno-common or gcc-10
Summary: app-cdr/cuecue-0.2.2-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 19:15 UTC by Toralf Förster
Modified: 2020-05-15 07:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.28 KB, text/plain)
2020-01-30 19:15 UTC, Toralf Förster
Details
app-cdr:cuecue-0.2.2-r2:20200130-063531.log (app-cdr:cuecue-0.2.2-r2:20200130-063531.log,7.43 KB, text/plain)
2020-01-30 19:15 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,151.42 KB, text/plain)
2020-01-30 19:15 UTC, Toralf Förster
Details
environment (environment,88.40 KB, text/plain)
2020-01-30 19:15 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.37 KB, application/x-bzip)
2020-01-30 19:15 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,3.64 KB, application/x-bzip)
2020-01-30 19:15 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,22.10 KB, application/x-bzip)
2020-01-30 19:15 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:15:00 UTC
Making all in cuecue
make[2]: Entering directory '/var/tmp/portage/app-cdr/cuecue-0.2.2-r2/work/cuecue-0.2.2/src/cuecue'
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"cuecue\" -DVERSION=\"0.2.2\" -DUSE_OGG=1  -I. -I.     -O2 -pipe -march=native -fno-common -c `test -f 'cuecue.c' || echo './'`cuecue.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o cuecue  cuecue.o ../libcuecue/libcuecue.a -lvorbisfile -L/usr/lib -lvorbis -lm -L/usr/lib -logg
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../libcuecue/libcuecue.a(ogg.o):(.bss+0x0): multiple definition of `cuecue_error'; ../libcuecue/libcuecue.a(cuecue.o):(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libm.so when searching for -lm

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 06:06:40 +0000

emerge -qpvO app-cdr/cuecue
[ebuild  N    ] app-cdr/cuecue-0.2.2-r2  USE="vorbis -flac -mp3"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:15:03 UTC
Created attachment 608960 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:15:06 UTC
Created attachment 608962 [details]
app-cdr:cuecue-0.2.2-r2:20200130-063531.log
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:15:09 UTC
Created attachment 608964 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:15:12 UTC
Created attachment 608966 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:15:15 UTC
Created attachment 608968 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:15:17 UTC
Created attachment 608970 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-30 19:15:20 UTC
Created attachment 608972 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-05-15 07:33:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b04f51efbcb86d59a1657347973e19168e5dd538

commit b04f51efbcb86d59a1657347973e19168e5dd538
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-05-15 07:25:18 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-05-15 07:33:41 +0000

    app-cdr/cuecue: Fix building with CFLAGS=-fno-common
    
    Also:
    - Drop flag-o-matic
    - Set AR
    - Set RDEPEND
    
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707444
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=722024
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 app-cdr/cuecue/cuecue-0.2.2-r3.ebuild              | 53 ++++++++++++++++++++++
 app-cdr/cuecue/files/cuecue-0.2.2-fno-common.patch | 11 +++++
 2 files changed, 64 insertions(+)